Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.util
Class CauchoSystem

    java.lang.Object
      |
      +--com.caucho.util.CauchoSystem

public class CauchoSystem
extends java.lang.Object

A wrapper for Caucho system variables, allowing tests to override the default variables.

Method Summary
`static java.lang.ClassLoader` | `getContextClassLoader()`
`static CpuUsage` | `getCpuUsage()`
`static char` | `getFileSeparatorChar()`
`static java.lang.String` | `getLocalHost()`
`static java.lang.String` | `getNewlineString()`
`static char` | `getPathSeparatorChar()`
`static java.lang.String` | `getResinConfig()`
`static Path` | `getResinHome()`
`static java.lang.ClassLoader` | `getStaticClassLoader()`
`static java.lang.String` | `getUserDir()`
`static java.lang.String` | `getUserName()`
`static int` | `getVersionId()`
`static Path` | `getWorkPath()`
`static boolean` | `isJdk12()`
`static boolean` | `isTesting()`
`static boolean` | `isUnix()`
`static boolean` | `isWindows()`
`static void` | `setContextClassLoader(java.lang.ClassLoader loader)`
`static void` | `setIsTesting(boolean testing)`
`static void` | `setResinHome(Path path)`
`static void` | `setStaticClassLoader(java.lang.ClassLoader loader)`
`static boolean` | `setUser(java.lang.String user, java.lang.String group)` Sets the runtime user so we don't need to run as root.
`static void` | `setWindowsTest(boolean windows)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isTesting

    public static boolean isTesting()

### setIsTesting

    public static void setIsTesting(boolean testing)

### setResinHome

    public static void setResinHome(Path path)

### getResinHome

    public static Path getResinHome()

### getVersionId

    public static int getVersionId()

### getResinConfig

    public static java.lang.String getResinConfig()

### getWorkPath

    public static Path getWorkPath()

### getUserDir

    public static java.lang.String getUserDir()

### getFileSeparatorChar

    public static char getFileSeparatorChar()

### getPathSeparatorChar

    public static char getPathSeparatorChar()

### getNewlineString

    public static java.lang.String getNewlineString()

### isWindows

    public static boolean isWindows()

### isUnix

    public static boolean isUnix()

### setWindowsTest

    public static void setWindowsTest(boolean windows)

### getLocalHost

    public static java.lang.String getLocalHost()

### getUserName

    public static java.lang.String getUserName()

### getCpuUsage

    public static CpuUsage getCpuUsage()

### isJdk12

    public static boolean isJdk12()

### getContextClassLoader

    public static java.lang.ClassLoader getContextClassLoader()

### setContextClassLoader

    public static void setContextClassLoader(java.lang.ClassLoader loader)

### setStaticClassLoader

    public static void setStaticClassLoader(java.lang.ClassLoader loader)

### getStaticClassLoader

    public static java.lang.ClassLoader getStaticClassLoader()

### setUser

    public static boolean setUser(java.lang.String user,
                                  java.lang.String group)

  Sets the runtime user so we don't need to run as root.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD